package com.kuyuntech.vrv.coreapi.service.core;

import com.kuyuntech.vrv.coreapi.bean.core.RoleBean;
import com.wbspool.fastboot.core.common.bean.PagerBean;
import java.util.List;

/**
 * RoleService
 *
 */
public interface RoleService  {

    

    /**
     * 新增记录
     * @param roleBean 新增参数
     * @return 如果成功返回对应bean，否则返回null
     */
     RoleBean add(RoleBean roleBean);

    /**
     * 更新记录
     * @param roleBean 更新参数
     * @return 如果成功返回对应bean，否则返回null
     */
     RoleBean update(RoleBean roleBean);

    /**
     * 删除记录
     * @param roleBean 删除参数
     * @return 如果成功返回对应bean，否则返回null
     */
    RoleBean delete(RoleBean roleBean);

    /**
     * 查找一条记录
     * @param roleBean 查找参数
     * @return 如果成功返回对应bean，否则返回null
     */
    RoleBean find(RoleBean roleBean);

    /**
     * 通过唯一标识查找记录
     * @param code 用户标识
     * @return 记录存在返回对应的bean，否则返回null
     */
     RoleBean find(String code);

    /**
     * 分页查找多条记录
     * @param roleBean 查找参数
     * @param pagerBean  分页参数
     * @return 记录存在返回对应的bean集合，否则返回空集合
     */
     List<RoleBean> findAll(RoleBean roleBean, PagerBean pagerBean);



    /**
     * 查找所有记录
     * @param roleBean 查找参数
     * @return 记录存在返回对应的bean集合，否则返回空集合
     */
     List<RoleBean> findAll(RoleBean roleBean);


    /**
     * 统计所有记录
     * @param roleBean 统计参数
     * @return 记录存在返回对应的bean集合，否则返回空集合
     */
     Long countAll(RoleBean roleBean);

    /**
     * 分页查找多条记录
     * @param roleBean 查询条件参数
     * @param pagerBean 分页参数
     * @return 返回查询结果的Pager封装
     */
     PagerBean<RoleBean> findPager(RoleBean roleBean, PagerBean pagerBean);

    /**
     * 批量删除
     * @param roleBeans 批量删除元素集合
     */
     void batchDelete(List<RoleBean> roleBeans);

    /**
     * 批量删除
     * @param codes 唯一标识集合
     */
    void batchDeleteByCodes(List<String> codes);

    

}
